Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.descriptor
Class VariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor

Direct Known Subclasses:
  GenuineVariableDescriptor, ShadowVariableDescriptor

    public abstract class VariableDescriptor

extends Object

Field Summary
`protected EntityDescriptor` | `entityDescriptor`
`protected String` | `variableName`
`protected PropertyAccessor` | `variablePropertyAccessor`

Constructor Summary
`VariableDescriptor(EntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`EntityDescriptor` | `getEntityDescriptor()`
`List<ShadowVariableDescriptor>` | `getShadowVariableDescriptorList()`
`String` | `getSimpleEntityAndVariableName()`
`Object` | `getValue(Object entity)`
`String` | `getVariableName()`
`Class<?>` | `getVariablePropertyType()`
`boolean` | `isValueNoPotentialAnchor(Object value)`
`void` | `registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)`
`void` | `setValue(Object entity, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entityDescriptor

    protected final EntityDescriptor entityDescriptor

### variablePropertyAccessor

    protected final PropertyAccessor variablePropertyAccessor

### variableName

    protected final String variableName

Constructor Detail

### VariableDescriptor

    public VariableDescriptor(EntityDescriptor entityDescriptor,
                              PropertyDescriptor propertyDescriptor)

Method Detail

### getEntityDescriptor

    public EntityDescriptor getEntityDescriptor()

### getVariableName

    public String getVariableName()

### getSimpleEntityAndVariableName

    public String getSimpleEntityAndVariableName()

### getVariablePropertyType

    public Class<?> getVariablePropertyType()

### registerShadowVariableDescriptor

    public void registerShadowVariableDescriptor(ShadowVariableDescriptor shadowVariableDescriptor)

### getShadowVariableDescriptorList

    public List<ShadowVariableDescriptor> getShadowVariableDescriptorList()

### isValueNoPotentialAnchor

    public boolean isValueNoPotentialAnchor(Object value)

### getValue

    public Object getValue(Object entity)

### setValue

    public void setValue(Object entity,
                         Object value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.